package com.ejie.ab79.model.expedientes;

import com.ejie.ab79.model.inspecciones.Inspecciones;
import com.ejie.ab79.model.inspecciones.RelExpIns;
import com.ejie.ab79.model.procedimientos.Aplicaciones;
import com.ejie.ab79.model.procedimientos.Procedimientos;

/**
 * Expedientes  
 * 
 *  
 */

public class Expedientes implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idExpediente;
	private Integer idProcedimiento;
	private Long idTerritorioHistorico;
	private String folderId;
	private String folderNumber;
	private String titulo;
	private Procedimientos procedimientos;
	private Long idProvinciaFiscal;
	private String usuarioRegistro;
	private Integer relacionExpediente;
	private String usuarioUltmodificacion;

	private RelExpIns relExpIns;

	private Inspecciones inspeccion;
	private Expedientes expedienteOrigen;

	private Integer idExpedienteOrigen;

	private DatosDirecciones datosDirecciones;

	private String urlAB63;

	private Aplicaciones aplicacion;

	/**
	 * Method 'Expedientes'.
	 */
	public Expedientes() {
	}

	/**
	 * Method 'Expedientes'.
	 * 
	 * @param idExpediente
	 *            Integer
	 */
	public Expedientes(Integer idExpediente) {
		this.idExpediente = idExpediente;
	}

	public Procedimientos getProcedimientos() {
		return procedimientos;
	}

	public void setProcedimientos(Procedimientos procedimientos) {
		this.procedimientos = procedimientos;
	}

	/**
	 * Method 'Expedientes'.
	 * 
	 * @param idExpediente
	 *            Integer
	 * @param idProcedimiento
	 *            Integer
	 * @param idTerritorioHistorico
	 *            Long
	 * @param folderId
	 *            String
	 * @param folderNumber
	 *            String
	 * @param titulo
	 *            String
	 * 
	 * 
	 * @param idProvinciaFiscal
	 *            Long
	 * 
	 * 
	 */
	public Expedientes(Integer idExpediente, Integer idProcedimiento, Long idTerritorioHistorico, String folderId,
			String folderNumber, String titulo, Long idProvinciaFiscal) {

		this.idExpediente = idExpediente;
		this.idProcedimiento = idProcedimiento;
		this.idTerritorioHistorico = idTerritorioHistorico;
		this.folderId = folderId;
		this.folderNumber = folderNumber;
		this.titulo = titulo;
		this.idProvinciaFiscal = idProvinciaFiscal;

	}

	/**
	 * Method 'getIdExpediente'.
	 *
	 * @return Integer
	 */

	public Integer getIdExpediente() {
		return this.idExpediente;
	}

	/**
	 * Method 'setIdExpediente'.
	 *
	 * @param idExpediente
	 *            Integer
	 * @return
	 */

	public void setIdExpediente(Integer idExpediente) {
		this.idExpediente = idExpediente;
	}

	/**
	 * Method 'getIdTerritorioHistorico'.
	 *
	 * @return Long
	 */

	public Long getIdTerritorioHistorico() {
		return this.idTerritorioHistorico;
	}

	/**
	 * Method 'setIdTerritorioHistorico'.
	 *
	 * @param idTerritorioHistorico
	 *            Long
	 * @return
	 */

	public void setIdTerritorioHistorico(Long idTerritorioHistorico) {
		this.idTerritorioHistorico = idTerritorioHistorico;
	}

	/**
	 * Method 'getIdProcedimiento'.
	 *
	 * @return Integer
	 */

	public Integer getIdProcedimiento() {
		return this.idProcedimiento;
	}

	/**
	 * Method 'setIdProcedimiento'.
	 *
	 * @param idProcedimiento
	 *            Integer
	 * @return
	 */

	public void setIdProcedimiento(Integer idProcedimiento) {
		this.idProcedimiento = idProcedimiento;
	}

	/**
	 * Method 'getFolderId'.
	 *
	 * @return String
	 */

	public String getFolderId() {
		return this.folderId;
	}

	/**
	 * Method 'setFolderId'.
	 *
	 * @param folderId
	 *            String
	 * @return
	 */

	public void setFolderId(String folderId) {
		this.folderId = folderId;
	}

	public Inspecciones getInspeccion() {
		return inspeccion;
	}

	public void setInspeccion(Inspecciones inspeccion) {
		this.inspeccion = inspeccion;
	}

	/**
	 * Method 'getFolderNumber'.
	 *
	 * @return String
	 */

	public String getFolderNumber() {
		return this.folderNumber;
	}

	/**
	 * Method 'setFolderNumber'.
	 *
	 * @param folderNumber
	 *            String
	 * @return
	 */

	public void setFolderNumber(String folderNumber) {
		this.folderNumber = folderNumber;
	}

	/**
	 * Method 'getTitulo'.
	 *
	 * @return String
	 */

	public String getTitulo() {
		return this.titulo;
	}

	/**
	 * Method 'setTitulo'.
	 *
	 * @param titulo
	 *            String
	 * @return
	 */

	public void setTitulo(String titulo) {
		this.titulo = titulo;
	}

	/**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */

	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro
	 *            String
	 * @return
	 */

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	public Integer getRelacionExpediente() {
		return relacionExpediente;
	}

	public void setRelacionExpediente(Integer relacionExpediente) {
		this.relacionExpediente = relacionExpediente;
	}

	/**
	 * Method 'getIdProvinciaFiscal'.
	 *
	 * @return Long
	 */

	public Long getIdProvinciaFiscal() {
		return this.idProvinciaFiscal;
	}

	/**
	 * Method 'setIdProvinciaFiscal'.
	 *
	 * @param idProvinciaFiscal
	 *            Long
	 * @return
	 */

	public void setIdProvinciaFiscal(Long idProvinciaFiscal) {
		this.idProvinciaFiscal = idProvinciaFiscal;
	}

	/**
	 * Method 'getUsuarioUltmodificacion'.
	 *
	 * @return String
	 */

	public String getUsuarioUltmodificacion() {
		return this.usuarioUltmodificacion;
	}

	/**
	 * Method 'setUsuarioUltmodificacion'.
	 *
	 * @param usuarioUltmodificacion
	 *            String
	 * @return
	 */

	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	public RelExpIns getRelExpIns() {
		return relExpIns;
	}

	public void setRelExpIns(RelExpIns relExpIns) {
		this.relExpIns = relExpIns;
	}

	public Expedientes getExpedienteOrigen() {
		return expedienteOrigen;
	}

	public void setExpedienteOrigen(Expedientes expedienteOrigen) {
		this.expedienteOrigen = expedienteOrigen;
	}

	public Integer getIdExpedienteOrigen() {
		return idExpedienteOrigen;
	}

	public void setIdExpedienteOrigen(Integer idExpedienteOrigen) {
		this.idExpedienteOrigen = idExpedienteOrigen;
	}

	public DatosDirecciones getDatosDirecciones() {
		return datosDirecciones;
	}

	public void setDatosDirecciones(DatosDirecciones datosDirecciones) {
		this.datosDirecciones = datosDirecciones;
	}

	public String getUrlAB63() {
		return this.urlAB63;
	}

	public void setUrlAB63(String urlAB63) {
		this.urlAB63 = urlAB63;
	}

	public Aplicaciones getAplicacion() {
		return aplicacion;
	}

	public void setAplicacion(Aplicaciones aplicacion) {
		this.aplicacion = aplicacion;
	}

	@Override
	public String toString() {
		return "Expedientes [idExpediente=" + idExpediente + ", idTerritorioHistorico=" + idTerritorioHistorico
				+ ", folderId=" + folderId + ", folderNumber=" + folderNumber + ", titulo=" + titulo
				+ ", idProvinciaFiscal=" + idProvinciaFiscal + ", usuarioRegistro=" + usuarioRegistro
				+ ", usuarioUltmodificacion=" + usuarioUltmodificacion + "]";
	}

}
